petsc-3.15.0 2021-03-30
Report Typos and Errors

# TaoALMMGetSubsolver

Retrieve a pointer to the TAOALMM.

### Synopsis

    #include "petsctao.h"
    #include "petscvec.h"
    PetscErrorCode TaoALMMGetSubsolver(Tao tao, Tao *subsolver)

### Input Parameters

| tao | - the Tao context for the TAOALMM solver

### Output Parameter

| subsolver | - the Tao context for the subsolver

### See Also

TAOALMM, TaoALMMSetSubsolver()

### Level

advanced

### Location

src/tao/constrained/impls/almm/almmutils.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages